<?php

namespace Licenzo\Modules;

use Licenzo\Helper\Settings;
use Licenzo\Modules\WooCommerce\WooCommerce;
use Licenzo\Modules\EDD\EDD;

class ModuleRegistry
{
    public static function register()
    {
        $provider = Settings::getGeneralSettings()['commerce_provider'] ?? 'woocommerce';

        if ($provider === 'woocommerce') {
            WooCommerce::init();
        }

        if ($provider === 'edd') {
            EDD::init();
        }
    }
}
